<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers"
	  xmlns:n="http://typo3.org/ns/GeorgRinger/News/ViewHelpers"
	  data-namespace-typo3-fluid="true">
<!--
	=====================
		Partials/List/Item.html
-->
<div class="article" itemscope="itemscope" itemtype="http://schema.org/Article">
	<n:excludeDisplayedNews newsItem="{newsItem}"/>
	<!-- header -->
	<h3 class="article__headline">
		<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
			<span itemprop="headline">{newsItem.title}</span>
		</n:link>
	</h3>

	<f:if condition="{newsItem.mediaPreviews}">
		<!-- media preview element -->
		<f:then>
			<div class="article__media">
				<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
					<f:alias map="{mediaElement: '{newsItem.mediaPreviews.0}'}">
						<f:if condition="{mediaElement.originalResource.type} == 2">
                            <sms:image image="{mediaElement}" title="{mediaElement.originalResource.title}" srcset="150w, 240w, 320w" width="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" />
						</f:if>
						<f:if condition="{mediaElement.originalResource.type} == 4">
							<f:render partial="Detail/MediaVideo" arguments="{mediaElement: mediaElement}"/>
						</f:if>
						<f:if condition="{mediaElement.originalResource.type} == 5">

							<f:image image="{mediaElement}" title="{mediaElement.originalResource.title}" alt="{mediaElement.originalResource.alternative}" maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"/>
						</f:if>
					</f:alias>
				</n:link>
			</div>
		</f:then>
		<f:else>
			<f:if condition="{settings.displayDummyIfNoMedia}">
				<div class="article__media">
					<span class="no-media-element">
						<n:link newsItem="{newsItem}" settings="{settings}" title="{newsItem.title}">
							<f:image src="{settings.list.media.dummyImage}" title="" alt="" maxWidth="{f:if(condition: settings.media.maxWidth, then: settings.media.maxWidth, else: settings.list.media.image.maxWidth)}" maxHeight="{f:if(condition: settings.media.maxHeight, then: settings.media.maxHeight, else: settings.list.media.image.maxHeight)}"/>
						</n:link>
					</span>
				</div>
			</f:if>
		</f:else>
	</f:if>


	<!-- teaser -->
	<div class="article__teaser">
		<n:removeMediaTags>
		<f:if condition="{newsItem.teaser}">
			<f:then>
				<div itemprop="description">{newsItem.teaser -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
			</f:then>
			<f:else>
				<div itemprop="description">{newsItem.bodytext -> f:format.crop(maxCharacters: '{settings.cropMaxCharacters}', respectWordBoundaries:'1') -> f:format.html()}</div>
			</f:else>
		</f:if>
		</n:removeMediaTags>

		<n:link newsItem="{newsItem}" settings="{settings}" class="artilcce__more-link" title="{newsItem.title}">
			<f:translate key="more-link"/>
		</n:link>
	</div>

	<!-- footer information -->
	<footer class="article__footer">
		<!-- date -->
		<span class="artilce__footer-date">
			<time itemprop="datePublished" datetime="{f:format.date(date:newsItem.datetime, format:'Y-m-d')}">
				<f:format.date format="{f:translate(key:'dateFormat')}">{newsItem.datetime}</f:format.date>
			</time>
		</span>

		<f:if condition="{newsItem.tags}">
			<!-- Tags -->
			<span class="artilce__footer-tags" itemprop="keywords">
				<f:for each="{newsItem.tags}" as="tag">
					{tag.title}
				</f:for>
			</span>
		</f:if>
	</footer>
</div>
</html>
